Order a number
curl --request POST \
--url https://api.verbose.cx/v1/numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"number": "+12025551234",
"pool_id": "<string>",
"daily_limit": 123
}
'import requests
url = "https://api.verbose.cx/v1/numbers"
payload = {
"number": "+12025551234",
"pool_id": "<string>",
"daily_limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({number: '+12025551234', pool_id: '<string>', daily_limit: 123})
};
fetch('https://api.verbose.cx/v1/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"ordered": {
"id": "<string>",
"number": "+12025551234",
"pool_id": "<string>",
"daily_limit": 5000,
"status": "active"
},
"added": 123,
"skipped": 123
}{
"ok": false,
"error": "list_id is required"
}{
"ok": false,
"error": "Invalid or missing API key"
}{
"ok": false,
"error": "This API key cannot create and edit.",
"required_scope": "write"
}Numbers
Order a number
Orders a specific number into your workspace (this is charged). Search first with /v1/numbers/available. Optionally place it in a pool_id and cap its daily_limit.
POST
/
v1
/
numbers
Order a number
Authorizations
Your API key (as_live_…), created under Settings → API keys.
Body
application/json
Was this page helpful?